## org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers
Class ServerExplorerManager

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.server.internal.ui.explorer.providers.ServerExplorerManager

public class ServerExplorerManager
extends java.lang.Object

NON-API

Author:
  ljulien

Field Summary
`static ServerExplorerManager` `INSTANCE`

Constructor Summary
`ServerExplorerManager()`

Method Summary
`IKnownConnectionNode` `getRootKnownServerNode()`
`IServerExplorerContentService` `getServerExplorerContentService()`
`IServerExplorerNavigationService` `getServerExplorerNavigationService()`
`void` `initializeConnectionInfo(ConnectionInfo info)`
`void` `setRootKnownServerNode(IKnownConnectionNode knownServer)`
`void` `setServerExplorerService(IServerExplorerContentService serverExplorerService)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ServerExplorerManager INSTANCE

Constructor Detail

### ServerExplorerManager

    public ServerExplorerManager()

Method Detail

### setServerExplorerService

    public void setServerExplorerService(IServerExplorerContentService serverExplorerService)

### setRootKnownServerNode

    public void setRootKnownServerNode(IKnownConnectionNode knownServer)

### getRootKnownServerNode

    public IKnownConnectionNode getRootKnownServerNode()

### initializeConnectionInfo

    public void initializeConnectionInfo(ConnectionInfo info)

### getServerExplorerContentService

    public IServerExplorerContentService getServerExplorerContentService()

### getServerExplorerNavigationService

    public IServerExplorerNavigationService getServerExplorerNavigationService()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.